guix-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

02/13: guix-install.sh: Fix incomplete installation.


From: guix-commits
Subject: 02/13: guix-install.sh: Fix incomplete installation.
Date: Sun, 23 Jul 2023 14:40:07 -0400 (EDT)

nckx pushed a commit to branch master
in repository guix.

commit 7419b187d1c884b7fd7494519ed964333c990218
Author: Tobias Geerinckx-Rice <me@tobias.gr>
AuthorDate: Sun Jul 16 02:00:00 2023 +0200

    guix-install.sh: Fix incomplete installation.
    
    ‘false || return’ returns false, and
    ‘set -e’ aborts the script.  This leaves
    Guix half installed with visual indication of error.
    
    * etc/guix-install.sh (sys_customize_bashrc, sys_maybe_setup_selinux):
    Explicitly return 0.
---
 etc/guix-install.sh | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/etc/guix-install.sh b/etc/guix-install.sh
index 10645ac7ac..982fb0a266 100755
--- a/etc/guix-install.sh
+++ b/etc/guix-install.sh
@@ -581,7 +581,8 @@ sys_create_shell_completion()
 
 sys_customize_bashrc()
 {
-    prompt_yes_no "Customize users Bash shell prompt for Guix?" || return
+    prompt_yes_no "Customize users Bash shell prompt for Guix?" || return 0
+
     for bashrc in /home/*/.bashrc /root/.bashrc; do
         test -f "$bashrc" || continue
         grep -Fq '$GUIX_ENVIRONMENT' "$bashrc" && continue
@@ -615,7 +616,7 @@ sys_maybe_setup_selinux()
     done
 
     prompt_yes_no "Install SELinux policy that might be required to run 
guix-daemon?" \
-       || return
+       || return 0
 
     local var_guix=/var/guix/profiles/per-user/root/current-guix
     semodule -i "${var_guix}/share/selinux/guix-daemon.cil"



reply via email to

[Prev in Thread] Current Thread [Next in Thread]